/*
 *  linux/arch/arm/mach-clps711x/armadillo.c
 *
 *  Copyright (C) 2001-2003 Atmark Techno, Inc.
 */

#include <linux/config.h>
#include <linux/init.h>
#include <linux/types.h>
#include <linux/string.h>
#include <linux/sched.h>
#include <linux/mm.h>

#include <asm/hardware.h>
#include <asm/io.h>
#include <asm/pgtable.h>
#include <asm/page.h>
#include <asm/setup.h>
#include <asm/mach-types.h>
#include <asm/mach/arch.h>
#include <asm/mach/map.h>

extern void clps711x_init_irq(void);
extern void clps711x_map_io(void);

volatile u8 miscreg_intmr1  = 0x0;
volatile u8 miscreg_intmr2  = 0x0;
volatile u8 miscreg_intmr3  = 0x0;
volatile u8 miscreg_idemode = 0x0;

static struct map_desc armadillo_io_desc[] __initdata = {
	{ ETHER_BASE , ETHER_START , ETHER_SIZE , DOMAIN_IO, 0, 1, 0, 0 },
	{ MISC8_BASE , MISC8_START , MISC8_SIZE , DOMAIN_IO, 0, 1, 0, 0 },
	{ MISC16_BASE, MISC16_START, MISC16_SIZE, DOMAIN_IO, 0, 1, 0, 0 },
	LAST_DESC
};

static void __init
fixup_armadillo(struct machine_desc *desc, struct param_struct *params,
	    char **cmdline, struct meminfo *mi)
{
}

static void __init armadillo_map_io(void)
{
	clps711x_map_io();
	iotable_init(armadillo_io_desc);
}

MACHINE_START(ARMADILLO, "Armadillo")
	MAINTAINER("Atmark Techno, Inc.")
	BOOT_MEM(0xc0000000, 0x80000000, 0xff000000)
	BOOT_PARAMS(0xc0000100)
	FIXUP(fixup_armadillo)
	MAPIO(armadillo_map_io)
	INITIRQ(clps711x_init_irq)
MACHINE_END

static int armadillo_hw_init(void)
{
	return 0;
}

__initcall(armadillo_hw_init);

